From 1c70aca76172c65464dc2d579c07107a3fd9613c Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Nov 24 2020 01:40:44 +0000
Subject: [PATCH 1493/2232] Suppress all currently triggered clang-tidy checks


---

diff --git a/.clang-tidy b/.clang-tidy
index 938acc4..b917995 100644
--- a/.clang-tidy
+++ b/.clang-tidy
@@ -3,6 +3,16 @@ Checks:
   clang-diagnostic-*,
   cppcoreguidelines-*,
   modernize-*,
+  -cppcoreguidelines-avoid-magic-numbers,
+  -cppcoreguidelines-macro-usage,
+  -cppcoreguidelines-owning-memory,
+  -cppcoreguidelines-pro-bounds-array-to-pointer-decay,
+  -cppcoreguidelines-pro-type-const-cast,
+  -cppcoreguidelines-pro-type-member-init,
   -cppcoreguidelines-pro-type-reinterpret-cast,
+  -cppcoreguidelines-special-member-functions,
+  -modernize-use-default-member-init,
+  -modernize-use-equals-default,
+  -modernize-use-override,
   -modernize-use-trailing-return-type,
 HeaderFilterRegex: cxx\.h

